Bug 1852249 - failed to initialize the cluster: Cluster operator openshift-controller-manager is still updating (operator version not set)
Summary: failed to initialize the cluster: Cluster operator openshift-controller-manag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard: devex
Depends On: 1814446
Blocks: 1854133
TreeView+ depends on / blocked
 
Reported: 2020-06-29 22:09 UTC by Gabe Montero
Modified: 2020-07-14 01:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: timing windows existed where the openshift controller manager operator would set its progressing condition to false even though it had not registered its version Consequence: the openshift controller manager operator would not fully satisfy its contract with the install/upgrade and the install/upgrade would ultimately fail Fix: the timing window which allowed progressing to be set to false prior to setting the version was corrected via code change Result: the openshift controller manager operator now more readily reports both its version and its progressing condition upon successful install/upgrade
Clone Of: 1814446
: 1854133 (view as bug list)
Environment:
Last Closed: 2020-07-14 01:43:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-openshift-controller-manager-operator pull 160 None closed Bug 1852249: ensure progressing is not set to false if version is missing 2020-07-23 17:45:53 UTC
Red Hat Product Errata RHBA-2020:2871 None None None 2020-07-14 01:44:03 UTC

Comment 3 Gabe Montero 2020-07-06 13:29:07 UTC
https://search.apps.build01.ci.devcluster.openshift.com/?search=Cluster+operator+openshift-controller-manager+is+still+updating&maxAge=24h&context=2&type=all&name=4.4&maxMatches=5&maxBytes=20971520&groupBy=job comes up clean, with only our bz here
in the 2 days since this PR merged.  

Marking verified, moving onto 4.3 per ask from Trevor.

Comment 6 errata-xmlrpc 2020-07-14 01:43:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2871


Note You need to log in before you can comment on or make changes to this bug.